<dx-scroll-view height='100%'>
    <dx-form [colCount]="2" [formData]='GareasData' [showValidationSummary]="false" validationGroup="gAreasValidation" labelLocation="left">
        <dxi-item itemType="group" [colSpan]="2" [colCount]='2'>
            <dxi-item [label]="{text: 'Denumire'}" dataField="name" editorType="dxTextBox" [editorOptions]="{ }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
            <dxi-item [label]="{text: 'Tip zona'}" dataField="typeId" editorType="dxSelectBox"
                [editorOptions]="{ onValueChanged: onTypeChange, dataSource: ds.zoneType, valueExpr: 'id', displayExpr: 'name' }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
            <dxi-item [label]="{text: 'Zona Parinte'}" dataField="parentId" editorType="dxSelectBox"
                [editorOptions]="{ onInitialized: onParentInit, dataSource: dsParent, valueExpr: 'id', displayExpr: 'name' }">
            </dxi-item>
        </dxi-item>
    </dx-form>
</dx-scroll-view>